summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README1
-rw-r--r--scripts/scan-tools.sh6
2 files changed, 7 insertions, 0 deletions
diff --git a/README b/README
index ec27db1ab..82f6edc55 100644
--- a/README
+++ b/README
@@ -22,6 +22,7 @@ Before you can start you need to install some tools:
- ncurses5 headers
- zlib headers
- perl
+- bc
There is a check for the required versions of these tools in advance, though.
(to re-issue the checks, use "make prereq").
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index ade185a99..7b1446b76 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -237,6 +237,12 @@ if ! which pkg-config >/dev/null 2>&1; then
out=1
fi
+if ! which bc >/dev/null 2>&1; then
+ echo "You need bc to continue."
+ echo
+ out=1
+fi
+
cd $topdir
rm -rf tmp